deploymentMode: SingleBinary

singleBinary:
  replicas: 1
  persistence:
    enabled: true
    size: 20Gi
    storageClass: ""

# Disable simple scalable targets to satisfy chart validation
write:
  replicas: 0
read:
  replicas: 0
backend:
  replicas: 0

loki:
  auth_enabled: false
  commonConfig:
    replication_factor: 1
  storage:
    type: filesystem
    filesystem:
      chunks_directory: /var/loki/chunks
      rules_directory: /var/loki/rules
  limits_config:
    retention_period: 0s
  compactor:
    retention_enabled: false
    retention_delete_delay: 2h
    retention_delete_worker_count: 1
  ruler:
    storage:
      type: local
      local:
        directory: /rules
  schemaConfig:
    configs:
      - from: "2024-01-01"
        store: tsdb
        object_store: filesystem
        schema: v13
        index:
          prefix: loki_index_
          period: 24h
  storage_config:
    filesystem:
      directory: /var/loki/chunks

ingress:
  enabled: false

service:
  type: ClusterIP

chunksCache:
  enabled: false

resultsCache:
  enabled: false
